papercube(6)

NAME
papercube - how to fold a glueless paper cube.

SYNOPSIS
papercube [--display host:display.screen] [--visual visual] [--window] [--root] [--delay number] [--no-wander] [--spin 0] [--spin [XYZ]] [--spin Y] [--spin Z] [--spin XY] [--spin XZ] [--spin YZ] [--speed number] [--fps] [--wireframe]

DESCRIPTION
Draws a paper template that folds to make a cube.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds).

--wander | --no-wander
    Whether the object should wander around the screen.

--spin 0
    Don't rotate.

--spin [XYZ]
    Around which axes should the object spin?

--spin Y
    Rotate around Y axis. Default.

--spin Z
    Rotate around Z axis.

--spin XY
    Rotate around X and Y axes.

--spin XZ
    Rotate around X and Z axes.

--spin YZ
    Rotate around Y and Z axes.

--speed number
    Animation speed. 2.0 means twice as fast, 0.5 means half as fast.

--fps | --no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

--wireframe | --no-wireframe
    Render in wireframe instead of solid.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2023 by Ireneusz Szpilewski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Ireneusz Szpilewski and Jamie Zawinski.